ChangeSet 1.1608.24.41, 2004/03/03 12:54:08-08:00, greg@kroah.com

[PATCH] USB: remove act_altsetting usages in more USB drivers


 drivers/input/joystick/iforce/iforce-usb.c |    2 +-
 drivers/net/irda/stir4200.c                |    3 +--
 drivers/usb/input/usbkbd.c                 |    2 +-
 drivers/usb/input/usbmouse.c               |    2 +-
 4 files changed, 4 insertions(+), 5 deletions(-)


diff -Nru a/drivers/input/joystick/iforce/iforce-usb.c b/drivers/input/joystick/iforce/iforce-usb.c
--- a/drivers/input/joystick/iforce/iforce-usb.c	Tue Mar 16 15:04:14 2004
+++ b/drivers/input/joystick/iforce/iforce-usb.c	Tue Mar 16 15:04:14 2004
@@ -135,7 +135,7 @@
 	struct usb_endpoint_descriptor *epirq, *epout;
 	struct iforce *iforce;
 
-	interface = &intf->altsetting[intf->act_altsetting];
+	interface = intf->cur_altsetting;
 
 	epirq = &interface->endpoint[0].desc;
 	epout = &interface->endpoint[1].desc;
diff -Nru a/drivers/net/irda/stir4200.c b/drivers/net/irda/stir4200.c
--- a/drivers/net/irda/stir4200.c	Tue Mar 16 15:04:14 2004
+++ b/drivers/net/irda/stir4200.c	Tue Mar 16 15:04:14 2004
@@ -1086,8 +1086,7 @@
 static int stir_setup_usb(struct stir_cb *stir, struct usb_interface *intf)
 {
 	struct usb_device *usbdev = interface_to_usbdev(intf);
-	const struct usb_host_interface *interface
-		= &intf->altsetting[intf->act_altsetting];
+	const struct usb_host_interface *interface = intf->cur_altsetting;
 	const struct usb_endpoint_descriptor *ep_in = NULL;
 	const struct usb_endpoint_descriptor *ep_out = NULL;
 	int i;
diff -Nru a/drivers/usb/input/usbkbd.c b/drivers/usb/input/usbkbd.c
--- a/drivers/usb/input/usbkbd.c	Tue Mar 16 15:04:14 2004
+++ b/drivers/usb/input/usbkbd.c	Tue Mar 16 15:04:14 2004
@@ -240,7 +240,7 @@
 	char path[64];
 	char *buf;
 
-	interface = &iface->altsetting[iface->act_altsetting];
+	interface = iface->cur_altsetting;
 
 	if (interface->desc.bNumEndpoints != 1)
 		return -ENODEV;
diff -Nru a/drivers/usb/input/usbmouse.c b/drivers/usb/input/usbmouse.c
--- a/drivers/usb/input/usbmouse.c	Tue Mar 16 15:04:14 2004
+++ b/drivers/usb/input/usbmouse.c	Tue Mar 16 15:04:14 2004
@@ -131,7 +131,7 @@
 	char path[64];
 	char *buf;
 
-	interface = &intf->altsetting[intf->act_altsetting];
+	interface = intf->cur_altsetting;
 
 	if (interface->desc.bNumEndpoints != 1) 
 		return -ENODEV;
